Subject: RE: bug#28182: maybe implement CTRL++ to zoom text

From: Drew Adams <[email-masked]>
Date: Tue, 15 Oct 2019 14:15:42 +0000 (UTC)

> > > Does C-x C-+ increase the font size?
> > Yes.  And "C-x C--" decreases it.
>
> It would be better to make C-+ do it also
> since people used to other applications will try that.

FWIW, if this is about binding `C-+' to do this
by default then I'm against it.  (Just one opinion.)

Anyone can add such a binding, if s?he wants.

The argument that "other applications" have such
a binding is a pretty weak one, in general.  And
I think it's pretty weak in this case too.

If it's really important to provide this because
users are used to such a binding in other apps
then provide a toggle function (e.g. global minor
mode) that binds that key.  But don't bind it
by default.  (The mode could also bind `C--', if
that's also important for those used to outside
bindings.)

---

FWIW:

I zoom buffer text and frames (face `default') all
the time - many times a day.  I use `C-' plus mouse
wheel, which is also what "other applications" do.

Or I use `S-mouse-1' and `C-S-mouse-1'.  Or I use
`C-x C--' and `C-x C-='.

But I make such bindings myself - I don't expect
Emacs to do that by default.